import { SimpleLocalIntegration } from '../../core/index.js';
import { DenonRs232ConfigFlow } from './denon_rs232.classes.configflow.js';
import { createDenonRs232DiscoveryDescriptor } from './denon_rs232.discovery.js';
import type { IDenonRs232Config } from './denon_rs232.types.js';
import { denonRs232Domain, denonRs232Profile } from './denon_rs232.types.js';

export class DenonRs232Integration extends SimpleLocalIntegration<IDenonRs232Config> {
  public readonly domain = denonRs232Domain;
  public readonly discoveryDescriptor = createDenonRs232DiscoveryDescriptor();
  public readonly configFlow = new DenonRs232ConfigFlow();

  constructor() {
    super(denonRs232Profile);
  }
}

export class HomeAssistantDenonRs232Integration extends DenonRs232Integration {}
